Bug 1412068 (ufw-kde) - Review Request: ufw-kde - UFW control module for KDE
Summary: Review Request: ufw-kde - UFW control module for KDE
Keywords:
Status: CLOSED ERRATA
Alias: ufw-kde
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 06:58 UTC by Kevin Kofler
Modified: 2017-02-17 16:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-17 16:21:13 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Kevin Kofler 2017-01-11 06:58:14 UTC
Spec URL: https://svn.calcforge.org/viewvc/*checkout*/kannolo/trunk/packages/ufw-kde/ufw-kde.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/kkofler/kannolo/fedora-26-x86_64/00461614-ufw-kde/ufw-kde-0.5.0-0.3.20161006git.fc26.src.rpm
Description:
KDE KControl Module to configure and control the Uncomplicated Firewall (UFW).

Fedora Account System Username: kkofler

Comment 1 Neal Gompa 2017-01-11 19:11:04 UTC
Taking this review.

Comment 2 Kevin Kofler 2017-02-04 16:01:08 UTC
Ping? While I'm not in a rush to get this package into Fedora proper (I have it in my Kannolo Copr), it would still be useful to get this off my todo list at some point.

Comment 3 Neal Gompa 2017-02-05 01:27:35 UTC
Review notes:

+ Generally complies with packaging guidelines
+ Package is named appropriately
+ Consistently uses macros
! /usr/bin/env is a requirement
! rpmlint error:
  - ufw-kde.x86_64: E: wrong-script-interpreter /usr/libexec/kde4/kcm_ufw_helper.py /usr/bin/env python3

The wrong-script-interpreter error is also likely leading to /usr/bin/env being a requirement when it shouldn't be.

Comment 4 Kevin Kofler 2017-02-05 14:35:37 UTC
Meh, I still don't see what's so bad about using /usr/bin/env, but I can fix that, it should be a one-line patch.

Anything else I should fix while I am at it?

Comment 5 Neal Gompa 2017-02-05 18:56:47 UTC
(In reply to Kevin Kofler from comment #4)
> Meh, I still don't see what's so bad about using /usr/bin/env, but I can fix
> that, it should be a one-line patch.
> 
> Anything else I should fix while I am at it?

At the moment, I don't see anything else.

Comment 7 Neal Gompa 2017-02-06 00:00:32 UTC
Excellent, looks good to me.

PACKAGE APPROVED.

Comment 8 Kevin Kofler 2017-02-06 00:10:51 UTC
Thanks, package requested in pkgdb.

Comment 9 Gwyn Ciesla 2017-02-06 13:44:38 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ufw-kde

Comment 10 Fedora Update System 2017-02-06 22:35:33 UTC
ufw-kde-0.5.0-0.5.20161006git.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a3ec4299a

Comment 11 Fedora Update System 2017-02-06 22:36:50 UTC
ufw-kde-0.5.0-0.5.20161006git.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7f4305beb2

Comment 12 Fedora Update System 2017-02-08 02:48:16 UTC
ufw-kde-0.5.0-0.5.20161006git.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7f4305beb2

Comment 13 Fedora Update System 2017-02-09 09:19:55 UTC
ufw-kde-0.5.0-0.5.20161006git.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a3ec4299a

Comment 14 Fedora Update System 2017-02-16 23:20:17 UTC
ufw-kde-0.5.0-0.5.20161006git.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-17 16:21:13 UTC
ufw-kde-0.5.0-0.5.20161006git.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.